<?xml version="1.0"?>
<openerp>
	<data>
		<record model="ir.ui.view" id="view_skp_recap_report">
		    <field name="name">Laporan Rekapitulasi OPD</field>
		    <field name="model">skp.recap.report</field>
		    <field name="type">form</field>
		    <field name="arch" type="xml">
			<form string="Laporan Rekapitulasi OPD" version="7.0">
				<group>
					
					<field name="period_month" class="oe_inline"/>
					<field name="period_year" class="oe_inline"/>
					<field name="is_kepala_opd" groups="base.group_no_one"/>
					<field name="company_id" attrs="{'required': [('is_kepala_opd','=',False)]}"/>
					<field name="biro_id" />
					
					<field name="format_print"/>
				</group>
				<footer>
					<div>
						<button type="object" name="get_skp_recap_report" string="Simpan Laporan" icon="doc-download"/>
						or
						<button special="cancel" string="Cancel" class="oe_link"/>
					</div>
				</footer>
			</form>
		    </field>
		</record>
		
		<record model="ir.actions.act_window" id="action_skp_recap_report">
		    <field name="name">Laporan Rekapitulasi OPD</field>
		    <field name="res_model">skp.recap.report</field>
		    <field name="type">ir.actions.act_window</field>
		    <field name="view_type">form</field>
		    <field name="view_mode">form</field>
		    <field name="target">new</field>
		    <field name="view_id" ref="view_skp_recap_report"/>
		</record>
		
		<menuitem action="action_skp_recap_report"  
		   id="menu_action_skp_recap_report" name="Hasil Prestasi Kerja Bulanan Per OPD" 
		    parent="df_skp_employee.menu_laporan_rekapitulasi" sequence="3"  
			groups="df_project.group_project_evaluated_bkd" 
		/>
        </data>
</openerp>